/* GmbSprite - a widget for Gnome Memory Blocks
 * (http://gnome-memblocks.sourceforge.net)
 *
 * Copyright (C) 2000 The Free Software Foundation
 *
 * Author: Volodymyr Babin <vb@dwuj.ichf.edu.pl>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <gdk-pixbuf/gdk-pixbuf.h>
#include "gmb-sprite-area.h"

#ifndef __GMB_SPRITE_PIXBUF_H__
#define __GMB_SPRITE_PIXBUF_H__

#define GMB_SPRITE_PIXBUF_TYPE        (gmb_sprite_pixbuf_get_type ())
#define GMB_SPRITE_PIXBUF(o)          (GTK_CHECK_CAST ((o), GMB_SPRITE_PIXBUF_TYPE, GmbSpritePixbuf))
#define GMB_SPRITE_PIXBUF_CLASS(k)    (GTK_CHECK_CLASS_CAST ((k), GMB_SPRITE_PIXBUF_TYPE, GmbSpritePixbufClass))
#define IS_GMB_SPRITE_PIXBUF(o)       (GTK_CHECK_TYPE ((o), GMB_SPRITE_PIXBUF_TYPE))
#define IS_GMB_SPRITE_PIXBUF_CLASS(k) (GTK_CHECK_CLASS_TYPE ((k), GMB_SPRITE_PIXBUF_TYPE))

typedef struct _GmbSpritePixbuf GmbSpritePixbuf;
typedef struct _GmbSpritePixbufClass GmbSpritePixbufClass;

struct _GmbSpritePixbuf
{
  GmbSprite sprite;
  /* read-only */
  GdkPixbuf * pixbuf; /* current */
  guint redraw_alpha;
  /* private */
  guint alpha_step;
  guint current_alpha;
  guint step_delay;
  GdkPixbuf * next_pixbuf;
  guint timeout_id;
};

struct _GmbSpritePixbufClass
{
  GmbSpriteClass sprite_class;
  /* signal */
  void (* operation_finished) (GmbSpritePixbuf *);
};

GtkType gmb_sprite_pixbuf_get_type (void);
GmbSprite * gmb_sprite_pixbuf_new (void);

GdkPixbuf * gmb_sprite_pixbuf_get_pixbuf (GmbSpritePixbuf *);
void gmb_sprite_pixbuf_set_pixbuf_now (GmbSpritePixbuf *, GdkPixbuf *);
void gmb_sprite_pixbuf_set_pixbuf_smooth (GmbSpritePixbuf *,
					  GdkPixbuf *,
					  guint alpha_step,
					  guint step_delay);

gboolean gmb_sprite_pixbuf_is_busy (GmbSpritePixbuf *);
void gmb_sprite_pixbuf_force_operation (GmbSpritePixbuf *);
void gmb_sprite_pixbuf_abort_operation (GmbSpritePixbuf *);

guint gmb_sprite_pixbuf_get_alpha (GmbSpritePixbuf *);
void gmb_sprite_pixbuf_set_alpha (GmbSpritePixbuf *, guint);

#endif /* __GMB_SPRITE_PIXBUF__ */
