/* GmbSprite -- a widget for Gnome Memory Blocks
 * (http://gnome-memblocks.sourceforge.net)
 *
 * Copyright (C) 2000 The Free Software Foundation
 *
 * Authors: Volodymyr Babin <vb@dwuj.ichf.edu.pl>
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include "gmb-sprite-area.h"

#ifndef __GMB_SPRITE_PIXMAP_H__
#define __GMB_SPRITE_PIXMAP_H__

#define GMB_SPRITE_PIXMAP_TYPE        (gmb_sprite_pixmap_get_type ())
#define GMB_SPRITE_PIXMAP(o)          (GTK_CHECK_CAST ((o), GMB_SPRITE_PIXMAP_TYPE, GmbSpritePixmap))
#define GMB_SPRITE_PIXMAP_CLASS(k)    (GTK_CHECK_CLASS_CAST ((k), GMB_SPRITE_PIXMAP_TYPE, GmbSpritePixmapClass))
#define IS_GMB_SPRITE_PIXMAP(o)       (GTK_CHECK_TYPE ((o), GMB_SPRITE_PIXMAP_TYPE))
#define IS_GMB_SPRITE_PIXMAP_CLASS(k) (GTK_CHECK_CLASS_TYPE ((k), GMB_SPRITE_PIXMAP_TYPE))

typedef struct _GmbSpritePixmap GmbSpritePixmap;
typedef struct _GmbSpritePixmapClass GmbSpritePixmapClass;

struct _GmbSpritePixmap
{
  GmbSprite sprite;
  /* read-only */
  GdkPixmap * pixmap;
  GdkBitmap * mask;
};

struct _GmbSpritePixmapClass
{
  GmbSpriteClass sprite_class;
};

GtkType gmb_sprite_pixmap_get_type (void);
GmbSprite * gmb_sprite_pixmap_new (void);
void gmb_sprite_pixmap_set_pixmap (GmbSpritePixmap *, GdkPixmap *, GdkBitmap *);

#endif /* __GMB_SPRITE_PIXMAP_H__ */
