/* GmbSprite -- a widget for Gnome Memory Blocks
 * (http://gnome-memblocks.sourceforge.net)
 *
 * Copyright (C) 2000 The Free Software Foundation
 *
 * Authors: Volodymyr Babin <vb@dwuj.ichf.edu.pl>
 *
 * This code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <gdk/gdk.h>

#ifndef __GMB_SPRITE_UTILS_H__
#define __GMB_SPRITE_UTILS_H__

/* TRUE if point (x, y) is inside GdkRectangle * rec */
#define POINT_INSIDE_RECTANGLE(xp,yp,rec) \
    (((xp) >= (rec)->x) && ((xp) < (rec)->x + (rec)->width) && \
    ((yp) >= (rec)->y) && ((yp) < (rec)->y + (rec)->height))

/* computes a union of NULL terminated list of rectangles */
void gdk_rectangles_union (GdkRectangle * dst, GdkRectangle * src1, ...);

#endif /* __GMB_SPRITE_UTILS_H__ */
